incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "sandeepbaldawa (JIRA)" <j...@apache.org>
Subject [jira] [Reopened] (AMBARI-1932) "brunch w" gives error with latest code from github
Date Mon, 15 Apr 2013 05:44:15 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-1932?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

sandeepbaldawa reopened AMBARI-1932:
------------------------------------


Am facing issue with "npm install" previously it looked ok, but it is not working correctly.
Below is the error I see

 npm install
npm WARN package.json Ambari@1.0.0 No README.md file found!
npm http GET https://registry.npmjs.org/uglify-js-brunch
npm http GET https://registry.npmjs.org/javascript-brunch
npm http GET https://registry.npmjs.org/css-brunch
npm http GET https://registry.npmjs.org/less-brunch
npm http 304 https://registry.npmjs.org/css-brunch
npm http 304 https://registry.npmjs.org/javascript-brunch
npm http 304 https://registry.npmjs.org/uglify-js-brunch
npm http 304 https://registry.npmjs.org/less-brunch
npm WARN engine css-brunch@1.3.0: wanted: {"node":"~0.6.10 || 0.8 || 0.9"} (current: {"node":"v0.10.2","npm":"1.2.15"})
npm WARN engine javascript-brunch@1.3.0: wanted: {"node":"~0.6.10 || 0.8 || 0.9"} (current:
{"node":"v0.10.2","npm":"1.2.15"})
npm WARN engine uglify-js-brunch@1.3.1: wanted: {"node":"~0.6.10 || 0.8 || 0.9"} (current:
{"node":"v0.10.2","npm":"1.2.15"})
npm WARN engine less-brunch@1.4.1: wanted: {"node":"~0.6.10 || 0.8 || 0.9"} (current: {"node":"v0.10.2","npm":"1.2.15"})
npm http GET https://registry.npmjs.org/coffee-script/1.3.3
npm http GET https://registry.npmjs.org/uglify-js/1.3.2
npm http GET https://registry.npmjs.org/less
npm http 304 https://registry.npmjs.org/less
npm http 304 https://registry.npmjs.org/coffee-script/1.3.3
npm http 304 https://registry.npmjs.org/uglify-js/1.3.2

> css-brunch@1.3.0 postinstall /home/ambari-server/scratch/ambari/ambari-web/node_modules/css-brunch
> node setup.js postinstall


module.js:340
    throw err;
          ^
Error: Cannot find module '/home/ambari-server/scratch/ambari/ambari-web/node_modules/css-brunch/setup.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3
npm ERR! css-brunch@1.3.0 postinstall: `node setup.js postinstall`
npm ERR! `sh "-c" "node setup.js postinstall"` failed with 8
npm ERR! 
npm ERR! Failed at the css-brunch@1.3.0 postinstall script.
npm ERR! This is most likely a problem with the css-brunch package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node setup.js postinstall
npm ERR! You can get their info via:
npm ERR!     npm owner ls css-brunch
npm ERR! There is likely additional logging output above.

npm ERR! System Linux 2.6.32-358.el6.x86_64
npm ERR! command "/usr/local/node-v0.10.2-linux-x64/bin/node" "/usr/local/node-v0.10.2-linux-x64/bin/npm"
"install"
npm ERR! cwd /home/ambari-server/scratch/ambari/ambari-web
npm ERR! node -v v0.10.2
npm ERR! npm -v 1.2.15
npm ERR! code ELIFECYCLE

> uglify-js-brunch@1.3.1 postinstall /home/ambari-server/scratch/ambari/ambari-web/node_modules/uglify-js-brunch
> node setup.js postinstall

npm http GET https://registry.npmjs.org/ycssmin

> javascript-brunch@1.3.0 postinstall /home/ambari-server/scratch/ambari/ambari-web/node_modules/javascript-brunch
> node setup.js postinstall


module.js:340
    throw err;
          ^
Error: Cannot find module '/home/ambari-server/scratch/ambari/ambari-web/node_modules/uglify-js-brunch/setup.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3

module.js:340
    throw err;
          ^
Error: Cannot find module '/home/ambari-server/scratch/ambari/ambari-web/node_modules/javascript-brunch/setup.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3
npm http 304 https://registry.npmjs.org/ycssmin

> less-brunch@1.4.1 postinstall /home/ambari-server/scratch/ambari/ambari-web/node_modules/less-brunch
> node setup.js postinstall


module.js:340
    throw err;
          ^
Error: Cannot find module '/home/ambari-server/scratch/ambari/ambari-web/node_modules/less-brunch/setup.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/ambari-server/scratch/ambari/ambari-web/npm-debug.log
npm ERR! not ok code 0

                
> "brunch w" gives error with latest code from github
> ---------------------------------------------------
>
>                 Key: AMBARI-1932
>                 URL: https://issues.apache.org/jira/browse/AMBARI-1932
>             Project: Ambari
>          Issue Type: Bug
>          Components: client
>         Environment: rhel 2.6 32 bit
> Latest code from Github
>            Reporter: sandeepbaldawa
>            Assignee: Yusaku Sako
>            Priority: Blocker
>
> 1. git clone git://git.apache.org/ambari.git
> 2. cd ambari/ambari-web
> 3. npm install -g brunch
> After doing the above steps, I run "brunch w" and get the below error
> >>brunch w
> 14 Apr 21:01:14 - error: { [Error: Cannot find module '/home/ambari-server/scratch/ambari/ambari-web/node_modules/javascript-brunch']
code: 'MODULE_NOT_FOUND' }

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message